Bug 1459614 - Not possible to add a product when editing a rule
Not possible to add a product when editing a rule
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Internal Tools (Show other bugs)
5.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
https://beta-bugzilla.redhat.com/page...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 11:08 EDT by Ondrej Mular
Modified: 2017-07-13 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.0.3-rh31
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 23:07:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log (4.00 KB, text/plain)
2017-06-07 11:08 EDT, Ondrej Mular
no flags Details

  None (edit)
Description Ondrej Mular 2017-06-07 11:08:09 EDT
Created attachment 1285828 [details]
console log

Description of problem:
When editing a rule in step 1, selector for the products isn't showing suggestions. I was able to add the product manually (by entering full name of the product, then underneath suggestion is displayed) but then in rule summary page (step 4) there is still only original product.

Version-Release number of selected component (if applicable):
5.0.3.rh29

How reproducible:
Always

Steps to Reproduce:
1. Start editing existing rule
2. In step 1, try to add another product
3. In step 4, newly added product is not displayed

Actual results:
newly added product is not displayed in step 4, therefore products list is not changed in rule after submitting changes

Expected results:
newly added product is displayed in step 4, and products are updated after submitting changes 

Additional info:
I can see some errors in browser javascript console (included in attachment)
Comment 1 Rony Gong 2017-07-12 03:24:18 EDT
Verified on the change after Release-5.0.3-rh30
Result: Pass
Steps:
1. Start editing existing rule
2. In step 1, try to add another product
3. In step 4, newly added product is displayed

Note You need to log in before you can comment on or make changes to this bug.